Tin An Ninh Mạng

Vá lỗi có thể làm rò rỉ khóa mã hóa trong OpenSSH

1489939944shutterstock_hacker.jpg
Một lỗi nghiêm trọng có thể làm rò rỉ khóa mã hóa bí mật vừa được vá trong OpenSSH, một trong những ứng dụng được sử dụng rộng rãi của giao thức SSH.

Lỗ hổng này chỉ tồn tại trong phiên bản người dùng cuối sử dụng để kết nối đến các máy chủ và không có trong các phiên bản mà máy chủ sử dụng. Một máy chủ độc hại có thể khai thác lỗ hổng để có được nội dung bộ nhớ của máy đang kết nối, bao gồm khóa bí mật được sử dụng cho các kết nối SSH. Lỗi này có trên một đoạn mã chuyển vùng được thử nghiệm trong các phiên bản OpenSSH từ 5.4 đến 7.1

{

}

1489939947OpenSSH.png

Đoạn mã thử nghiệm không có trên phiên bản máy chủ, nhưng được kích hoạt trong phiên bản người dùng cuối và có thể bị một máy chủ độc hại lừa đảo rò rỉ bộ nhớ máy khách đến máy chủ độc hại đó, bao gồm khóa bí mật của người dùng“, OpenSSH cho biết trong bản tin an ninh của mình hôm thứ Năm. “Xác thực khóa server giúp ngăn chặn việc khai thác bởi một kẻ tấn công man-in-the-middle, do đó thông tin rò rỉ bị giới hạn trong các kết nối đến các máy chủ độc hại hoặc đã bị phá hoại“.

Bản tin cũng cho biết bất cứ ai sử dụng phiên bản có lỗ hổng nên cập nhật ngay lập tức. Những người không thể cập nhật nên vô hiệu hóa tính năng chuyển vùng bằng cách thêm chuỗi UseRoaming no vào file global ssh_config (5) hoặc vào file cấu hình người dùng trong ~/.ssh/config, hoặc bằng cách nhập –UseRoaming=no trên dòng lệnh.

Theo một bản tin riêng từ Qualys, hãng an ninh đã phát hiện và bí mật thông báo về lỗ hổng, rò rỉ thông tin có thể bị khai thác chỉ sau khi người dùng cuối đã được máy chủ xác thực thành công. Dù điều đó giảm mạnh cơ hội lỗ hổng này bị khai thác trong thực tế, các nhà nghiên cứu Qualys vẫn đưa ra khả năng những kẻ tấn công có chủ đích có thể đã sử dụng lỗi này, có thể bằng cách phá hoại các máy chủ hợp pháp được người dùng cuối tin cậy. Các khai thác như vậy sẽ rất hữu ích khi những kẻ tấn công đã phá hoại một máy chủ mục tiêu và muốn tiếp tục truy cập trong trường hợp điểm truy cập ban đầu được vá.

Việc rò rỉ thông tin này có thể đã bị khai thác trong thực tế bởi những kẻ tấn công tinh vi, các trang web và người dùng nổi tiếng theo đó có thể cần phải tạo lại các khóa SSH của mình”, Qualys cho biết.

Bằng cách cho kẻ tấn công khả năng đọc bộ nhớ RAM của máy tính có lỗ hổng, lỗi này có điểm tương đồng với lỗ hổng Heartbleed 2014 ảnh hưởng đến thư viện crypto OpenSSL. Lỗi đó nghiêm trọng hơn nhiều vì cho phép bất cứ ai có kỹ năng hacking vừa phải khai thác bất kỳ trang web sử dụng OpenSSL. Ngược lại, lỗi OpenSSH chỉ có thể bị khai thác sau khi người dùng cuối tồn tại lỗ hổng kết nối đến một máy chủ độc hại.

Nguồn: Ars Technica

Đăng ký liền tay Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !

Add Comment

Click here to post a comment

Đăng ký liền tay
Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !